phrRunFile {phreeqc} | R Documentation

## Run phreeqc input file

### Description

phrRunFile executes a phreeqc run using a file as input

### Usage

    phrRunFile(filename)

### Arguments

`filename` | The file name of the phreeqc input file.

### Value

This function returns NULL on success.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Run: `phrRunAccumulated`, `phrRunString`

### Examples

    # load the phreeqc.dat database
    phrLoadDatabaseString(phreeqc.dat)

    # create ex2 if it doesn't exist
    if (!file.exists("ex2")) writeLines(ex2, "ex2")

    # run ex2
    if (is.null(phrRunFile("ex2"))) {
      cat("use phrGetSelectedOutput() to see results.")
    }

    unlink("ex2")  # tidy up

[Package phreeqc version 3.4.10 Index]